com.unitech.lib.reader.protocol

## Class Protocol

- java.lang.Object
- - com.unitech.lib.reader.protocol.Protocol

- All Implemented Interfaces:
    IProtocol
  Direct Known Subclasses:
    ProtocolHT730, ProtocolRG768, ProtocolRP902

      public abstract class Protocol
      extends java.lang.Object
      implements IProtocol

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseTransport` | `_baseTransport`
    `protected ResultCode` | `_lastError`
    `protected static int` | `DEBUG`
    `protected static int` | `DETAIL`
    `protected static int` | `INFO`
    `protected static int` | `IO`
    `protected java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Protocol(BaseTransport baseTransport)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseTransport` | `getTransport()`
    `abstract boolean` | `start()`
    `abstract void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.unitech.lib.protocol.IProtocol

      `clearBuffer, post, read, send, triggerEvent, write`

- - ### Field Detail

    - #### DEBUG

          protected static final int DEBUG

      See Also:
        Constant Field Values

    - #### DETAIL

          protected static final int DETAIL

      See Also:
        Constant Field Values

    - #### INFO

          protected static final int INFO

      See Also:
        Constant Field Values

    - #### IO

          protected static final int IO

      See Also:
        Constant Field Values

    - #### TAG

          protected java.lang.String TAG

    - #### _lastError

          protected ResultCode _lastError

    - #### _baseTransport

          protected BaseTransport _baseTransport

  - ### Constructor Detail

    - #### Protocol

          public Protocol(BaseTransport baseTransport)

  - ### Method Detail

    - #### getTransport

          public BaseTransport getTransport()

    - #### start

          public abstract boolean start()

    - #### stop

          public abstract void stop()